Skip to content
Start here

Get Queue Purge Status

client.Queues.Purge.Status(ctx, queueID, query) (*PurgeStatusResponse, error)
GET/accounts/{account_id}/queues/{queue_id}/purge

Get details about a Queue's purge status.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteQueues ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
queueID string

A Resource identifier.

maxLength32
query PurgeStatusParams
AccountID param.Field[string]

A Resource identifier.

maxLength32
ReturnsExpand Collapse
type PurgeStatusResponse struct{…}
Completed stringoptional

Indicates if the last purge operation completed successfully.

StartedAt stringoptional

Timestamp when the last purge operation started.

Get Queue Purge Status

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/queues"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Queues.Purge.Status(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    queues.PurgeStatusParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Completed)
}
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "completed": "completed",
    "started_at": "started_at"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "completed": "completed",
    "started_at": "started_at"
  },
  "success": true
}